# Uses of Class
com.github.lgooddatepicker.zinternaltools.DateChangeEvent

Packages that use DateChangeEvent
Package
Description
com.github.lgooddatepicker.optionalusertools
com.github.lgooddatepicker.zinternaltools

## Uses of DateChangeEvent in com.github.lgooddatepicker.optionalusertools

Methods in com.github.lgooddatepicker.optionalusertools with parameters of type DateChangeEvent
Modifier and Type
Method
Description
`void`
DateChangeListener.`dateChanged(DateChangeEvent event)`
dateChanged, This function will be called each time that the date in the applicable date picker has changed.

## Uses of DateChangeEvent in com.github.lgooddatepicker.zinternaltools

Methods in com.github.lgooddatepicker.zinternaltools that return DateChangeEvent
Modifier and Type
Method
Description
`DateChangeEvent`
DateTimeChangeEvent.`getDateChangeEvent()`
getDateChangeEvent, If the date changed, then this returns the date change event.
Constructors in com.github.lgooddatepicker.zinternaltools with parameters of type DateChangeEvent
Modifier
Constructor
Description
``
`DateTimeChangeEvent(DateTimePicker source, DatePicker datePicker, TimePicker timePicker, DateChangeEvent dateChangeEvent, TimeChangeEvent timeChangeEvent)`
Constructor.